Subject: RE: rebase and ME
From: Robert Collins <[email-masked]>
To: Ralf Habacker <[email-masked]>
Cc: cygwin <[email-masked]>
Date: 04 Aug 2002 23:47:21 +1000

On Sun, 2002-08-04 at 22:53, Ralf Habacker wrote:

> Yes I have fixed some problem in the bfd part used by objdump, but I not ready
> for writing such an application, because my current knowledge isn't enough about
> the bfd internals. I'm willing to invest some time to learn this stuff (as I
> said, because I need this knowledge for another topic too), but what about the
> solution Steve O Brien has offered. Should we not wait, until we have a
> definitive answer, if this work or not ?

No.

Why not?

Because anything based on imagehlp.dll will be subject to ms's
vaguaries, and rebinding and rebasing .dll's does bring a performance
improvement. If we can't rebind/rebase on windows ME via imagehlp.dll we
will need a libbfd solution eventually - even if Steve's patch does
allow binaries to run, they won't be as fast as they could be.

Rob